> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/live-data-scenarios-1/ball-mark-inspection-clay-only.md).

# Ball Mark Inspection (Clay Only)

\
Overview
--------

A Ball Mark Inspection (BMI) is an event that only happens on **clay** courts.

They work very similarly to challenges, a BMI happens when a line judge calls a ball and the team/player disagrees. The umpire will then come down to the court and take a look at the mark that the ball made on the clay, and judge if the ball was out or in.

## Packet

A BMI will occur at the same time as a challenge - After 'Point Started' and before the 'Point' packet.

It does not include information on if it was 'won' or 'lost' - just that there was a BMI. The next point is always the outcome of the BMI (who the point is awarded to).

An example from the French Open, 2024:

* Ball Mark Inspection JSON

```
{
  "timestamp": "2022-06-05T14:05:36.296Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "00:53:15",
  "seqNum": 172,
  "matchStatus": {
    "umpireCountry": "Unknown",
    "umpire": "Unknown",
    "teamAPlayer1": "R. NADAL",
    "tossChooser": "Serve",
    "matchState": {
      "state": "BallMarkInspection"
    },
    "teamBPlayer1": "C. RUUD",
    "numSets": 5,
    "scoringType": "Standard",
    "firstServer": "TeamA",
    "tossWinner": "TeamA",
    "courtNum": 1,
    "teamAPlayersDetails": {
      "player1Id": "N409",
      "player1Country": "ESP"
    },
    "teamBPlayersDetails": {
      "player1Id": "RH16",
      "player1Country": "NOR"
    },
    "umpireCode": "Unknown",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

Followed by an "inProgress packet to indicate that the BMI is being carried out:

```
{
  "timestamp": "2022-06-05T14:05:45.898Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "00:53:25",
  "seqNum": 173,
  "matchStatus": {
    "umpireCountry": "Unknown",
    "umpire": "Unknown",
    "teamAPlayer1": "R. NADAL",
    "tossChooser": "Serve",
    "matchState": {
      "state": "InProgress"
    },
    "teamBPlayer1": "C. RUUD",
    "numSets": 5,
    "scoringType": "Standard",
    "firstServer": "TeamA",
    "tossWinner": "TeamA",
    "courtNum": 1,
    "teamAPlayersDetails": {
      "player1Id": "N409",
      "player1Country": "ESP"
    },
    "teamBPlayersDetails": {
      "player1Id": "RH16",
      "player1Country": "NOR"
    },
    "umpireCode": "Unknown",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/tennis/live-data-scenarios-1/ball-mark-inspection-clay-only.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
